Autor Thema: culfw: Wie übersetzte ich "binärcompatibel" zu offiziell erstellten FW-Version  (Gelesen 835 mal)

Offline RaspII

  • Developer
  • Full Member
  • ****
  • Beiträge: 354
Hallo,
ich habe gelesen, dass die culfw inzwischen mit avr-gcc V4.8.1 übersetzt wird.
Bevor ich Änderungen an meinen Modulen mache prüfe ich immer erst ob sich der Originalzustand auf meinem System übersetzten lässt.

Die aktuelle culfw bekomme ich auch nach Installation des avr-gcc V4.8.1 nicht komplett identisch zur original Hexdatei übersetzt
(CUL_V3.hex.r557)

Mein System:

Raspberry Pi2

uname -a zeigt:
Linux raspberrypi 3.18.5+ #1 PREEMPT Fri Feb 6 23:35:59 CET 2015 armv6l GNU/Linux
avr-gcc -v zeigt:
Using built-in specs.
COLLECT_GCC=avr-gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/avr/4.8.1/lto-wrapper
Target: avr
Configured with: ../src/configure -v --enable-languages=c,c++ --prefix=/usr/lib --infodir=/usr/share/info --mandir=/usr/share/man --bindir=/usr/bin --libexecdir=/usr/lib --libdir=/usr/lib --enable-shared --with-system-zlib --enable-long-long --enable-nls --without-included-gettext --disable-libssp --build=arm-linux-gnueabihf --host=arm-linux-gnueabihf --target=avr
Thread model: single
gcc version 4.8.1 (GCC

Ein "Show Log" auf das "code" Verzeichnis zeigt, der letzte Commit ist r557 von Rudolf, die aktuellen Sourcen habe ich ausgecheckt.
Ein "Check for modifications" auf das "trunk" Verzeichnis zeigt nur die von mir neu übersetzten Hex Dateien als "conflicted"

Hat jemand einen Tipp?
Gruß
RaspII

« Letzte Änderung: 01 Dezember 2016, 00:02:37 von RaspII »
RaspII

Offline rudolfkoenig

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 16727
Zitat
ich habe gelesen, dass die culfw inzwischen mit avr-gcc V4.8.1 übersetzt wird.
Wo?

Zitat
Die aktuelle culfw bekomme ich auch nach Installation des avr-gcc V4.8.1 nicht komplett identisch zur original Hexdatei übersetzt
Ich habe die eingecheckten Dateien mit avr-4.8.1 uebersetzt (gerade geprueft), ich vermute die avrlibs sind unterschiedlich, ich verwende die aus CrossPack-AVR-20131216, OSX Version. Ich bestehe nicht auf eine bestimmte Version, aber ein Test ist wichtig, und auch die Pruefung, dass es ins Flash passt (text+data+4k muss kleiner sein als das jeweils zur Verfuegung stehende Flash).

Wir hatten mal einen Fall, wo der "falsche" Compiler den RF_ROUTER Code unbenutzbar gemacht hat, erklaeren kann ich es aber bis heute nicht.

Offline RaspII

  • Developer
  • Full Member
  • ****
  • Beiträge: 354
Bzgl.
Zitat
Wo?

Ich habe die Info hier gefunden:
https://sourceforge.net/p/culfw/code/HEAD/tree/trunk/culfw/CHANGED

Hier ist zu lesen:
Version 1.62 (2014-11-25)
- Compiling with avr-gcc 4.8.1 instead of 4.3.3 (3.5% smaller code)

Kann ich Deinen Kommentar so verstehen, dass avr-gcc 4.8.1 und avr-4.8.1 nicht das selbe sind?

Wie auch immer, an die avrlibs habe ich nicht gedacht, Asche auf mein Haupt.
Ich schau dann mal wie ich den
CrossPack-AVR-20131216, OSX Versionauf meinen Raspberry Pi bekomme.
Danke schonmal, der Tipp ist bestimmt auch die Lösung
RaspII

 

decade-submarginal